accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Josh Elser (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ACCUMULO-3528) Bump the version of HTrace to 3.1.0-incubating
Date Fri, 23 Jan 2015 16:39:35 GMT

    [ https://issues.apache.org/jira/browse/ACCUMULO-3528?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14289494#comment-14289494
] 

Josh Elser commented on ACCUMULO-3528:
--------------------------------------

bq. we may want to wait until Hadoop bumps their dependency too.

Do we know what version of Hadoop would contain this? 2.7.0?

It's tough because we're either broken "now" or "later" WRT HDFS spans. Will our code still
run against the old htrace and the new incubating htrace runtime dependencies (e.g. can the
user swap in the htrace impl they want to use on the classpath w/o having to recompile the
code)?

> Bump the version of HTrace to 3.1.0-incubating
> ----------------------------------------------
>
>                 Key: ACCUMULO-3528
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-3528
>             Project: Accumulo
>          Issue Type: Task
>          Components: trace
>            Reporter: Billie Rinaldi
>            Assignee: Billie Rinaldi
>             Fix For: 1.7.0
>
>
> Now that htrace has an incubating release, 3.1.0-incubating, we could use that instead
of 3.0.4.  This relates to HADOOP-11498.  The issue is that tracing will only connect through
to HDFS when Accumulo and HDFS are using compatible versions of htrace, and the incubating
release is not compatible with previous versions since apache has been added to the package
names.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message